#!/bin/awk -f
BEGIN {
	df = "df -Th";
	for (i = 1; i < ARGC; i++ ){
		df = df " " ARGV[i];
	}

	while ((df | getline) > 0) {
		if ($6 ~ /9[0-9]%|100%/) printf ("\033[31m%s\033[0m\n", $_)
		if ($6 ~ /8[0-9]%/) printf ("\033[33m%s\033[0m\n", $_)
		if ($6 !~ /9[0-9]%|100%|8[0-9]%|Use%/) printf ("\033[32m%s\033[0m\n", $_)
		if ($6 ~ /Use%/) print
	}
	close(df);
	exit(0);
}


